<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:rich="http://richfaces.org/rich" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j" xmlns="http://www.w3.org/1999/xhtml">
  <h:outputText id="#{filterId}Name" value="#{filterName}" style="color: grey;font-weight: bold;"/>
  <h:panelGrid columns="2" border="0" cellpadding="0" cellspacing="0">
    <s:div>
      <h:outputText id="#{filterId}SingleValue" value="#{filter.formatters[filterId].formatLabel(filter.possibleValues[filterId].get(0))}" style="font-weight:bold;text-align:center;" rendered="#{filter.possibleValues[filterId].size() eq 1}"/>
      <h:outputText id="#{filterId}NoValue" value="-" style="font-weight:bold;text-align:center;" rendered="#{filter.possibleValues[filterId].size() eq 0}"/>
      <h:panelGrid columns="2" border="0" cellpadding="0" cellspacing="0" rendered="#{filter.possibleValues[filterId].size() gt 1}">
        <h:selectOneMenu id="#{filterId}Select" value="#{filter.filterValues[filterId]}" style="font-weight:bold;text-align:center;" converter="#{filter.getConverter(filterId)}" rendered="#{filter.possibleValues[filterId].size() gt 1}">
          <s:selectItems value="#{filter.possibleValues[filterId]}" var="selectedValue" noSelectionLabel="#{messages['gazelle.common.button.ShowAll']}" label="#{filter.formatters[filterId].format(selectedValue)}"/>
          <a4j:ajax event="change" render="#{filterForm}" execute="@this"/>
        </h:selectOneMenu>
        <h:graphicImage value="/img/icons64/deleteJR.gif" width="14" height="14" rendered="#{filter.possibleValues[filterId].size() gt 1}">
          <a4j:ajax event="click" render="#{filterForm}" execute="@this" listener="#{filter.resetField(filterId)}"/>
        </h:graphicImage>
      </h:panelGrid>
    </s:div>
    <s:div rendered="#{filterSuggestBean.supportsLink(filter, filterId)}">
      <gdk:spacer width="10"/>
      <span data-tooltip="Details">
        <g:imagelink value="#{filter.getRealFilterValue(filterId)}" icon="/img/dev.gif" width="14" height="14" target="_blank"/>
      </span>
    </s:div>
  </h:panelGrid>
</ui:composition>
